# sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >::accumulated< T_accumulator > Class Template Reference

Convenience wrapper for the numbered sigc::signal4 template. More...

Inherits signal4< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_accumulator >.

Collaboration diagram for sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >::accumulated< T_accumulator >:

[legend]

List of all members.

## Public Member Functions

| accumulated (const accumulated &src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
template <class T_accumulator>
class sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, nil, nil, nil >::accumulated< T_accumulator >

Convenience wrapper for the numbered sigc::signal4 template.

Like sigc::signal but the additional template parameter T_accumulator defines the accumulator type that should be used.

The documentation for this class was generated from the following file:

- sigc++/signal.h